<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>Additional tests with html4css1</title>
<link rel="stylesheet" href="foo&amp;bar.css" type="text/css" />
<link rel="stylesheet" href="../input/data/html4css1.css" type="text/css" />
<link rel="stylesheet" href="../input/data/math.css" type="text/css" />
</head>
<body>
<div class="document" id="additional-tests-with-html4css1">
<h1 class="title">Additional tests with html4css1</h1>

<div class="section" id="section-heading-levels">
<h1>Section heading levels</h1>
</div>
<div class="section" id="level-1">
<h1>Level 1</h1>
<p>Nested sections</p>
<div class="section" id="level-2">
<h2>Level 2</h2>
<p>reach at some level</p>
<div class="section" id="level-3">
<h3>Level 3</h3>
<p>(depending on the document class and output format)</p>
<div class="section" id="level-4">
<h4>level 4</h4>
<p>a level</p>
<div class="section" id="level-5">
<h5>level 5</h5>
<p>that is not supported by the output format.</p>
<div class="section" id="level-6">
<h6>level 6</h6>
<p>Unsupported in LaTeX and HTML5
(HTML5 reserves the 1st level for the document title).</p>
<div class="section" id="level-7">
<h6 class="h7">level 7</h6>
<p>Unsupported in HTML4.</p>
<div class="section" id="level-8">
<h6 class="h8">level 8</h6>
<p>Unsupported in ODT.</p>
</div>
</div>
</div>
</div>
</div>
</div>
</div>
</div>
<div class="section" id="section-titles-with-inline-markup">
<span id="references"></span><h1>Section titles with inline markup</h1>
<div class="section" id="emphasized-h2o-x-2-and-references">
<h2><em>emphasized</em>, H<sub>2</sub>O, <span class="formula"><i>x</i><sup>2</sup></span>, and <a class="reference internal" href="#references">references</a></h2>
</div>
<div class="section" id="substitutions-fail">
<h2>Substitutions work</h2>
<p>Note, that the &quot;reference name&quot; for this section is derived from the
content <em>before</em> substitution. You can link to it with the <a class="reference external" href="https://docutils.sourceforge.io/docs/ref/rst/restructuredtext.html#hyperlink-references">phrase
reference</a> &quot;<a class="reference internal" href="#substitutions-fail">substitutions fail</a>&quot;.
This behaviour may be exploited to get intelligible IDs after <a class="reference external" href="https://docutils.sourceforge.io/docs/ref/rst/directives.html#identifier-normalization">identifier
normalization</a> of the section's reference name.</p>
</div>
</div>
<div class="section" id="moving-images-video">
<h1>Moving images (video)</h1>
<p>If the URL given to <cite>images and figures</cite> hints to a video format
supported by HTML&nbsp;5 (MIME types 'video/mp4', 'video/webm', or
'video/ogg'), the HTML5 writer will place it in a <a class="reference external" href="https://developer.mozilla.org/en-US/docs/Web/HTML/Element/video">video element</a>.</p>
<object class="align-left" data="../../../docs/user/rst/images/pens.mp4" type="video/mp4">left-aligned test video</object>
<p>A class option value &quot;controls&quot; tells the browser to display controls
for video playback.</p>
<p>It is a good idea to include width and height attributes. If
height and width are not set, the page might flicker while the video
loads. According to the <a class="reference external" href="https://developer.mozilla.org/en-US/docs/Web/HTML/Element/video">HTML5 spec</a>, hight and width must be
specified as pixel values.</p>
<div class="figure align-center">
<object class="controls" data="../../../docs/user/rst/images/pens.mp4" style="width: 200px;" type="video/mp4">test video in a figure</object>
<p class="caption">Simple test video in a centered figure</p>
</div>
<p>A video like this <object data="../../../docs/user/rst/images/pens.mp4" style="width: 60px;" type="video/mp4">rotating pens video</object> can be included inline via substitution.</p>
</div>
</div>
</body>
</html>
